Solaris 8 (SPARC Platform Edition) 2/02 Release Notes

64-Bit Solaris Issues

Sun UltraSPARC System (sun4u) May Need Boot Flash PROM Update

Note -

If your system is already running 64-bit ready firmware, then the flash PROM update is not required.

If you want to run the 64-bit Solaris operating environment on an UltraSPARCTM system, you might need to update its flash PROM firmware. The Solaris 8 installation programs have an option for adding 64-bit support. This 64-bit support is selected by default when you install on Sun UltraSPARC systems. A 64-bit system only boots in the 64-bit mode by default if it has a CPU speed of 200 MHz or greater.

Note -

If you choose to run the 32-bit Solaris operating environment on any SunTM or UltraSPARC system, the flash PROM update is not needed.

The following table lists the UltraSPARC (sun4u) systems that are affected and the minimum firmware versions that are needed. System type is the equivalent of the output of the uname -i command. You can tell which firmware version you are running by using the prtconf -V command.

Table 1-2 Minimum Firmware Versions Required to Run 64-Bit Solaris Operating Environment on UltraSPARC Systems

System Type From uname -i

Minimum Firmware Version From prtconf -V











Note -

If a system is not listed in the previous table, it does not need a flash PROM update.

For instructions on performing the flash PROM update by using the Solaris CD, refer to the Solaris 8 on Sun Hardware Collection. If you do not have this manual, you can obtain it at